/2026-07/retail-media/reports/sync/real-time-performance
curl --request POST \
--url https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"startDate": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"lineItemIds": [
"<string>"
],
"metrics": [],
"retailerIds": [
"<string>"
],
"timezone": "UTC"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance"
payload = { "data": {
"attributes": {
"startDate": "2023-11-07T05:31:56Z",
"accountIds": ["<string>"],
"campaignIds": ["<string>"],
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"lineItemIds": ["<string>"],
"metrics": [],
"retailerIds": ["<string>"],
"timezone": "UTC"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
startDate: '2023-11-07T05:31:56Z',
accountIds: ['<string>'],
campaignIds: ['<string>'],
dimensions: [],
endDate: '2023-11-07T05:31:56Z',
lineItemIds: ['<string>'],
metrics: [],
retailerIds: ['<string>'],
timezone: 'UTC'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'startDate' => '2023-11-07T05:31:56Z',
'accountIds' => [
'<string>'
],
'campaignIds' => [
'<string>'
],
'dimensions' => [
],
'endDate' => '2023-11-07T05:31:56Z',
'lineItemIds' => [
'<string>'
],
'metrics' => [
],
'retailerIds' => [
'<string>'
],
'timezone' => 'UTC'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
[
{}
]
],
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"meta": {
"columns": [
{
"name": "<string>",
"role": "Dimension",
"type": "Boolean",
"currency": "<string>",
"deprecated": true,
"description": "<string>",
"duration": "<string>",
"timezone": "<string>",
"title": "<string>"
}
],
"dataCompleteThrough": {
"dateTime": "<string>",
"timezone": "<string>"
},
"rows": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2026-07/retail-media/reports/sync/real-time-performance
Returns a synchronous Real Time Performance Report. Returns empty rows; metadata includes dataCompleteThrough (latest time from streaming table in the request timezone).
This endpoint is subject to specific rate limits.
POST
/
2026-07
/
retail-media
/
reports
/
sync
/
real-time-performance
/2026-07/retail-media/reports/sync/real-time-performance
curl --request POST \
--url https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"startDate": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"lineItemIds": [
"<string>"
],
"metrics": [],
"retailerIds": [
"<string>"
],
"timezone": "UTC"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance"
payload = { "data": {
"attributes": {
"startDate": "2023-11-07T05:31:56Z",
"accountIds": ["<string>"],
"campaignIds": ["<string>"],
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"lineItemIds": ["<string>"],
"metrics": [],
"retailerIds": ["<string>"],
"timezone": "UTC"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
startDate: '2023-11-07T05:31:56Z',
accountIds: ['<string>'],
campaignIds: ['<string>'],
dimensions: [],
endDate: '2023-11-07T05:31:56Z',
lineItemIds: ['<string>'],
metrics: [],
retailerIds: ['<string>'],
timezone: 'UTC'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'startDate' => '2023-11-07T05:31:56Z',
'accountIds' => [
'<string>'
],
'campaignIds' => [
'<string>'
],
'dimensions' => [
],
'endDate' => '2023-11-07T05:31:56Z',
'lineItemIds' => [
'<string>'
],
'metrics' => [
],
'retailerIds' => [
'<string>'
],
'timezone' => 'UTC'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2026-07/retail-media/reports/sync/real-time-performance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"dimensions\": [],\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"timezone\": \"UTC\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
[
{}
]
],
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"meta": {
"columns": [
{
"name": "<string>",
"role": "Dimension",
"type": "Boolean",
"currency": "<string>",
"deprecated": true,
"description": "<string>",
"duration": "<string>",
"timezone": "<string>",
"title": "<string>"
}
],
"dataCompleteThrough": {
"dateTime": "<string>",
"timezone": "<string>"
},
"rows": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}Authorizations
Scopes
Body
application/json
Response
200 - application/json
Success
Report response format
Was this page helpful?